#
# spec file for package 7plus (Version 2.25)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm

Name:         7plus
License:      Other License(s), see package, Contact author
Group:        Productivity/Hamradio/Packet
Autoreqprov:  on
Version:      2.25
Release:      597
Summary:      File Converter for Store and Forward
Source:       %{name}-%{version}.tar.gz
Patch:        %{name}.dif
URL:          http://home.t-online.de/home/dg1bbq/7plus.htm
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
7plus converts binary files to 7-bit for transport over packet radio
links.



Authors:
--------
    DG1BBQ@t-online.de

%debug_package
%prep
%setup -n 7plsrc.225
%patch 

%build
make -f linux.mak CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -DSYSV"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/bin
install 7plus $RPM_BUILD_ROOT/usr/bin/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc 7pl_hist.nts 7plh_old.nts 7plus.cds read_me.1st  
%attr(755, root, root) /usr/bin/7plus

%changelog -n 7plus
* Wed Jun 23 2004 - hmacht@suse.de
- building as non root user
* Mon Apr 26 2004 - ro@suse.de
- use rpm_opt_flags and add no-strict-aliasing
* Thu Nov 30 2000 - jreuter@suse.de
- changed group tag
* Fri Jun 02 2000 - bubnikv@suse.cz
- updated to 2.25
* Fri May 26 2000 - bubnikv@suse.cz
- sorted
* Fri May 05 2000 - bubnikv@suse.cz
- added buildroot, minor specfile cleanups
* Tue Mar 07 2000 - ka@suse.de
- update to 2.23
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Jul 07 1999 - ka@suse.de
- added -DSYSV to Makefile, now builds on alpha (thanks, Rudi!)
* Tue Jun 08 1999 - ka@suse.de
- initial release
